# Overview

[Chamilo](http://chamilo.org) is an open-source e-learning and content
management system, aimed at improving access to education and knowledge
globally. It is backed up by the Chamilo Association, which has goals including
the promotion of the software, the maintenance of a clear communication channel
and the building of a network of services providers and software contributors.

This charm is intended to deploy and configure Chamilo for you to use. In order
for it to work properly, it needs a MySQL instance related to it.

# Usage

First, bootstrap your environment:

    juju bootstrap

Then, deploy the service and the MySQL, and add the relations:

    juju deploy chamilo
    juju deploy mysql
    juju add-relation chamilo mysql

Next, set the domain that you want to use Chamilo with, as well as the admin
username and password:

    juju set chamilo domain=[domain] user=[username] pass=[password]

Finally, expose the service:

    juju expose chamilo

You can then browse to http://doma.in to access the service.

Once you log in, you can change the default username information from the
"Administration" panel.

## Known Limitations and Issues

As Chamilo stores files in the local web server, is it not currenly possible to
scale out Chamilo.

Also, the version is currently hardcoded to 1.9.8.

Finally, please note that if a database was related but then the relation is
destroyed, and the database re-added, all data will be lost. Be careful with
this in production environments.

# Configuration

This charm has only a few configuration options:

`domain`: The domain name to be used with Chamilo. It is a required value,
otherwise the assets won't load.

`user`: The first administrator username. If not set, it will default to
"admin".

`pass`: The default password for the administrator username. It is a required
value, otherwise the charm will not finish deploying.

# Internet Connectivity Requirements

In order for this charm to deploy correctly, it needs to connect to the
following internet sites:

 * campus.chamilo.org with port 443
 * The Ubuntu repositories or a mirror of them

# Contact Information

Author: José Antonio Rey <jose@ubuntu.com>  
Report bugs at: <https://bugs.launchpad.net/charms/+source/chamilo>  
Location: <http://jujucharms.com>

## Chamilo

- [Chamilo website](http://chamilo.org)
- [Chamilo bug tracker](https://support.chamilo.org/projects/chamilo-18/issues)
